Bug 129596 - Timing-dependent kernel panic on boot with SMP x86_64
Timing-dependent kernel panic on boot with SMP x86_64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 15:25 EDT by Ed Swierk
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console dump (14.58 KB, text/plain)
2004-08-10 15:26 EDT, Ed Swierk
no flags Details

  None (edit)
Description Ed Swierk 2004-08-10 15:25:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040612 Firefox/0.8

Description of problem:
When booting stock FC2 on a SunFire V20z (dual Opteron) in SMP mode,
the kernel sometimes locks up.  This seems to be timing-dependent,
occurring only when using either the framebuffer console (vga=0x314)
or serial console (console=ttyS0).  It does not occur when using a
plain VGA console alone.  It also does not occur with maxcpus=1 on the
kernel command line.

I will attach a console dump below.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.5-1.358

How reproducible:
Sometimes

Steps to Reproduce:
1. Install FC2 on a SunFire V20z.
2. Edit grub.conf, adding console=ttyS0 to the kernel command line.
3. Boot with the SMP kernel.


Additional info:
Comment 1 Ed Swierk 2004-08-10 15:26:51 EDT
Created attachment 102591 [details]
console dump
Comment 2 Dave Jones 2005-04-16 02:05:09 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.